/*
 * [Common11.java]
 *
 * Summary: dummy to represent the common11 package.
 *
 * Copyright: (c) 1999-2014 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.1+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  2.1 2008-12-16 new methods in BigDate
 *  2.2 2009-04-19 add countLeading, countTrailing, TrimLeading, TrimTrailing that take multiple trim chars.
 *  2.3 2009-04-29 add ST.countInstances(String,char), BigDate.parseYYYYmmdd(String)
 *  2.4 2009-04-30 correct bug in ST.countLeading(String, String) and hence in trimLeading(String, String)
 *                 add pruneExcessBlankLines
 *  2.5 2009-11-14 add haveCommonChar, isLetter, isDigit. Localise Class.
 *  2.6 2010-02-11 removed removeHead (redundant - same as chopLeadingString).
 *                 renamed chopLeading to chopLeadingString to clearify does not trim a variety of chars.
 *  2.7 2010-12-09 BigDate parsing now more relaxed
 *  2.8 2011-11-13 add ST.nullSafeStringCompare and ST.nullSafeStringCompareIgnoreCase.
 */
package com.mindprod.common11;

/**
 * dummy to represent the common11 package.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 2.8 2011-11-13 add ST.nullSafeStringCompare and ST.nullSafeStringCompareIgnoreCase.
 * @since 1999
 */
public final class Common11
    {
    // ------------------------------ CONSTANTS ------------------------------

    private static final int FIRST_COPYRIGHT_YEAR = 1999;

    /**
     * undisplayed copyright notice
     */
    private static final String EMBEDDED_COPYRIGHT =
            "Copyright: (c) 1999-2014 Roedy Green, Canadian Mind Products, http://mindprod.com";

    /**
     * when package was released.
     *
     * @noinspection UnusedDeclaration
     */
    private static final String RELEASE_DATE = "2011-11-13";

    /**
     * version of package.
     *
     * @noinspection UnusedDeclaration
     */
    private static final String VERSION_STRING = "2.8";

    // --------------------------- main() method ---------------------------

    /**
     * test harness
     *
     * @param args not used
     */
    public static void main( String[] args )
        {
        System.out.println( "Common should not be run standalone." );
        }
    }
